=== debian/changelog ===
autorandr (1.4-1) unstable; urgency=medium

  * New upstream release
    - fixes errors when using built-in configuration
  * settings.ini now upstream, disabled patch.

 -- Don Armstrong <don@debian.org>  Fri, 22 Dec 2017 10:25:07 -0800

autorandr (1.3-2) unstable; urgency=medium

  * Add in support for missing config section in settings.ini from
    upstream @e717470ee. (Closes: #884855)

 -- Don Armstrong <don@debian.org>  Thu, 21 Dec 2017 09:09:25 -0800

autorandr (1.3-1) unstable; urgency=medium

  * New upstream release
  * Cherrypick settings.ini patch from upstream
  * Add missing license statements from debian/copyright

 -- Don Armstrong <don@debian.org>  Mon, 11 Dec 2017 10:49:57 -0800

autorandr (1.2-1) unstable; urgency=medium

  * Initial release (Closes: #880373)
  * Initial control description based on upstream packaging

 -- Don Armstrong <don@debian.org>  Mon, 30 Oct 2017 14:07:26 -0700
