=== debian/control ===
Source: autorandr
Section: x11
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Build-Depends: debhelper (>= 9), dh-python, python-all, python-setuptools
Standards-Version: 4.1.1
Homepage: https://github.com/phillipberndt/autorandr
# X-Python-Version: >= 2.6
Vcs-Git: https://git.donarmstrong.com/deb_pkgs/autorandr.git
Vcs-Browser: https://git.donarmstrong.com/deb_pkgs/autorandr.git

Package: autorandr
Architecture: all
Depends: x11-xserver-utils, python, ${misc:Depends}
Description: Automatically select a display configuration for connected devices
 Autorandr is a script for managing xrandr configurations based on the
 connected devices. It can be set up to automatically switch to a
 stored configuration whenever a change in the configuration is
 detected.
