## autorandr 1.6

=== debian/changelog ===
autorandr (1.6-1) unstable; urgency=medium

  * New upstream release (Closes: #905236)

 -- Don Armstrong <don@debian.org>  Wed, 01 Aug 2018 19:33:58 -0700

autorandr (1.5-1) unstable; urgency=medium

  * New upstream release
    - Use stdout for state output (Closes: #891054)
    - Provide --current and --detected (Closes: #891055)
  * Remove --default from service; this should now be specified in a
    configuration file.
  * Document how --default works better (Closes: #891061)

 -- Don Armstrong <don@debian.org>  Tue, 03 Apr 2018 13:56:17 -0700
