## autorandr 1.7

=== debian/changelog ===
autorandr (1.7-1) unstable; urgency=medium

  * New upstream release
    - Fix bottom of rotated screen cut off (Closes: #917848)

 -- Don Armstrong <don@debian.org>  Sun, 30 Dec 2018 22:00:08 -0800
