=== debian/changelog ===
autorandr (1.8.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration. 
    (Closes: #950360)

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Jan 2020 12:44:15 -0500

autorandr (1.8.1-2) unstable; urgency=medium

  * Switch to using python3 by changing the #! line and dependencies; no
    other changes were required (Closes: #936170)
  * Use default as the default autorandr configuration when called via systemd

 -- Don Armstrong <don@debian.org>  Fri, 30 Aug 2019 00:30:36 -0700

autorandr (1.8.1-1) unstable; urgency=medium

  * New upstream release
  * Remove Debian autorandr manpage

 -- Don Armstrong <don@debian.org>  Fri, 16 Aug 2019 21:18:44 -0700
