=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/autorandr-$1\.tar\.gz/ \
  https://github.com/phillipberndt/autorandr/tags .*?/(\d+(?:\.\d+)+)\.tar\.gz
