## autorandr 1.10.1

=== debian/changelog ===
autorandr (1.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #958833)

 -- Don Armstrong <don@debian.org>  Sun, 23 Aug 2020 17:49:28 -0700

autorandr (1.9-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 21 Feb 2020 18:40:24 -0800
