=== debian/changelog ===
autorandr (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Wed, 25 Nov 2020 10:07:51 -0800
