=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: x11
 Priority: optional
 Maintainer: Don Armstrong <don@debian.org>
-Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-setuptools
+Build-Depends: debhelper (>= 12), dh-python, python3-all, python3-setuptools
 Standards-Version: 4.4.0
 Homepage: https://github.com/phillipberndt/autorandr
 Vcs-Git: https://salsa.debian.org/debian/autorandr.git
