## autorandr 1.12.1

=== debian/changelog ===
autorandr (1.12.1-1) unstable; urgency=medium

  * New upstream releases
    - Fixes deprecated distutils (Closes: #1010039)

 -- Don Armstrong <don@debian.org>  Fri, 22 Apr 2022 16:55:54 -0700
