## autorandr 1.14

=== debian/changelog ===
autorandr (1.14-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Move udev rules to follow pkg-config (Closes: 1056966)

  [ Don Armstrong ]
  * Use pkg-config for everything except PM_SLEEPHOOKS_DIR
  * Add missing dependency on libinput-tools (Closes: 1035044)

 -- Don Armstrong <don@debian.org>  Thu, 30 Nov 2023 20:07:33 -0800

autorandr (1.14-1) unstable; urgency=medium

  * New upstream release

 -- Don Armstrong <don@debian.org>  Fri, 17 Nov 2023 21:31:51 -0800

autorandr (1.13.3-1) unstable; urgency=medium

  [ Debian Janitor]
  * Trim trailing whitespace.
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.6.1, no changes needed.

  [ Don Armstrong ]
  * New upstream release
  * Install zsh completions
  * Use StartLimitIntervalSec again, as even oldoldstable has systemd >>
    230
  * Install things from contrib as examples
  * Add dependencies on pkgconf and systemd-dev so the unit file location
    can be guessed by default.

  [Helmut Grohne]
  * Install systemd unit only once. (Closes: #1054477)

 -- Don Armstrong <don@debian.org>  Fri, 27 Oct 2023 21:11:41 -0700
