=== debian/control ===
Source: autorandr
Section: x11
Priority: optional
Maintainer: Don Armstrong <don@debian.org>
Build-Depends: debhelper-compat (= 13), dh-python, python3-all, python3-setuptools, desktop-file-utils, systemd-dev, pkgconf
Standards-Version: 4.6.1
Homepage: https://github.com/phillipberndt/autorandr
Vcs-Git: https://salsa.debian.org/debian/autorandr.git
Vcs-Browser: https://salsa.debian.org/debian/autorandr

Package: autorandr
Architecture: all
Depends: x11-xserver-utils, python3, libinput-tools, ${misc:Depends}
Description: Automatically select a display configuration for connected devices
 Autorandr is a script for managing xrandr configurations based on the
 connected devices. It can be set up to automatically switch to a
 stored configuration whenever a change in the configuration is
 detected.
