=== debian/changelog ===
autorandr (1.15-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Declare Rules-Requires-Root: no
  * Don't install contrib/autorandr_launcher/.gitignore

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 23 Sep 2024 18:47:55 +0200

autorandr (1.14-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move udev rules into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 27 May 2024 00:56:28 +0200
