=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Homepage: https://github.com/phillipberndt/autorandr
 Vcs-Git: https://salsa.debian.org/debian/autorandr.git
 Vcs-Browser: https://salsa.debian.org/debian/autorandr
+Rules-Requires-Root: no
 
 Package: autorandr
 Architecture: all
