=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- \
		PM_SLEEPHOOKS_DIR=/etc/pm/sleep.d/

override_dh_auto_install:
	dh_auto_install -- \
		PM_SLEEPHOOKS_DIR=/etc/pm/sleep.d/
	install -D -m 755 contrib/pm-utils/40autorandr debian/autorandr/etc/pm/sleep.d/40autorandr
	install -D -m 644 contrib/zsh_completion/_autorandr debian/autorandr/usr/share/zsh/vendor-completions/_autorandr

# we do not supply an init script
override_dh_installinit:
	dh_installinit -n

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .pybuild autorandr.egg-info
